require "Hotbar/ISHotbarAttachDefinition"

function Adjust(Name, Property, Value)
Item = ScriptManager.instance:getItem(Name)
Item:DoParam(Property.." = "..Value)
end

Adjust("Base.WalkieTalkie1","Weight","0.5")

Adjust("Base.WalkieTalkie2","Weight","0.6")

Adjust("Base.WalkieTalkie3","Weight","0.7")

Adjust("Base.WalkieTalkie4","Weight","0.8")

Adjust("Base.WalkieTalkie5","Weight","0.9")

Adjust("Base.WalkieTalkieMakeShift","Weight","0.6")


-----------------------------------------------------



if not ISHotbarAttachDefinition then
    return
end

function addAttachment(type, key, value)
    for k,v in pairs(ISHotbarAttachDefinition) do
        if v.type == type then
            v.attachments[key] = value
            return
        end
    end
  end

Adjust("Base.Lantern_HurricaneLit","AttachmentType", "Torchb")
Adjust("Base.Lantern_Hurricane","AttachmentType", "Torchb")
Adjust("Base.Lantern_Propane","AttachmentType", "Torchb")
Adjust("Base.Lantern_CraftedElectric","AttachmentType", "Torchb")
Adjust("Base.HandTorch","AttachmentType", "Torchb")
Adjust("Base.Torch","AttachmentType", "Torchb")

addAttachment("SmallBeltLeft", "Torchb", "Belt TorchL")
addAttachment("SmallBeltRight", "Torchb", "Belt TorchR")

-- function ActivateModData()
-- end

-- Events.OnGameStart.Add(ActivateModData);
